Package twisted :: Package python :: Module formmethod |
[show private | hide private]
[frames | no frames]

## Module twisted.python.formmethod

Form-based method objects.

This module contains support for descriptive method signatures that can be used to format methods. Currently this is only used by woven.

Classes
`Argument` | Base class for form arguments.
`Boolean` |
`CheckGroup` |
`Choice` | The result of a choice between enumerated types.
`Date` | A date.
`Flags` | The result of a checkbox group or multi-menu.
`Float` |
`FormMethod` | A callable object with a signature.
`Hidden` | A string which is not displayed.
`Integer` | A single integer.
`MethodSignature` |
`Password` | A string which should be obscured when input.
`PresentationHint` | A hint to a particular system.
`RadioGroup` |
`String` | A single string.
`Submit` | Submit button or a reasonable facsimile thereof.
`Text` | A long string.

Exceptions
`FormException` | An error occured calling the form method.
`InputError` | An error occurred with some input.

Function Summary
| `positiveInt(x)`

Generated by Epydoc 1.1 on Thu May 8 13:18:56 2003 | http://epydoc.sf.net